CREATE TABLE Repair2Employee (
	OID NUMBER ( 5 ) NOT NULL,
	repairOID NUMBER ( 5 ) NOT NULL,
	employeeOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_Repair2Employee11 PRIMARY KEY (OID)
	);
CREATE TABLE UsedSparePart (
	OID NUMBER ( 5 ) NOT NULL,
	planned NUMBER ( 5 ) NOT NULL,
	used NUMBER ( 5 ) NOT NULL,
	sparePartOID NUMBER ( 5 ) NOT NULL,
	repairOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_UsedSparePart5 PRIMARY KEY (OID)
	);
CREATE TABLE Repair (
	OID NUMBER ( 5 ) NOT NULL,
	damageReport VARCHAR2 ( 4000 ) NOT NULL,
	estimatedTime NUMBER ( 5 ) NOT NULL,
	maxCost FLOAT NOT NULL,
	carOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_Repair6 PRIMARY KEY (OID)
	);
CREATE TABLE SparePart (
	OID NUMBER ( 5 ) NOT NULL,
	description VARCHAR2 ( 255 ) NOT NULL,
	price FLOAT NOT NULL,
	min NUMBER ( 5 ) NOT NULL,
	max NUMBER ( 5 ) NOT NULL,
	available NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_SparePart4 PRIMARY KEY (OID)
	);
CREATE TABLE Appointment (
	OID NUMBER ( 5 ) NOT NULL,
	begin DATE NOT NULL,
	end DATE NOT NULL,
	job VARCHAR2 ( 255 ) NOT NULL,
	repairOID NUMBER ( 5 ) NOT NULL,
	employeeOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_Appointment9 PRIMARY KEY (OID)
	);
CREATE TABLE Supplier2SparePart (
	OID NUMBER ( 5 ) NOT NULL,
	supplierOID NUMBER ( 5 ) NOT NULL,
	sparePartOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_Supplier2SparePart12 PRIMARY KEY (OID)
	);
CREATE TABLE DeliveryConditions (
	OID NUMBER ( 5 ) NOT NULL,
	supplierOID NUMBER ( 5 ) NOT NULL,
	sparePartOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_DeliveryConditions2 PRIMARY KEY (OID)
	);
CREATE TABLE Supplier (
	OID NUMBER ( 5 ) NOT NULL,
	company VARCHAR2 ( 255 ) NOT NULL,
	addressOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_TSupplier0 PRIMARY KEY (OID)
	);
CREATE TABLE PriceSegment (
	OID NUMBER ( 5 ) NOT NULL,
	minPieces NUMBER ( 5 ) NOT NULL,
	price FLOAT NOT NULL,
	deliveryConditionsOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_PriceSegment3 PRIMARY KEY (OID)
	);
CREATE TABLE Customer (
	OID NUMBER ( 5 ) NOT NULL,
	salutation VARCHAR2 ( 50 ) NOT NULL,
	name VARCHAR2 ( 100 ) NOT NULL,
	phone VARCHAR2 ( 50 ),
	birthday DATE,
	addressOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_Customer7 PRIMARY KEY (OID)
	);
CREATE TABLE Address (
	OID NUMBER ( 5 ) NOT NULL,
	street VARCHAR2 ( 255 ) NOT NULL,
	country VARCHAR2 ( 255 ) NOT NULL,
	city VARCHAR2 ( 255 ) NOT NULL,
	zip VARCHAR2 ( 20 ) NOT NULL,
	CONSTRAINT PK_TAddress1 PRIMARY KEY (OID)
	);
CREATE TABLE Car (
	OID NUMBER ( 5 ) NOT NULL,
	chassisNo VARCHAR2 ( 50 ) NOT NULL,
	model VARCHAR2 ( 255 ) NOT NULL,
	customerOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_Car8 PRIMARY KEY (OID)
	);
CREATE TABLE Employee (
	OID NUMBER ( 5 ) NOT NULL,
	texLevel NUMBER ( 5 ) NOT NULL,
	healthInsurance VARCHAR2 ( 255 ) NOT NULL,
	name VARCHAR2 ( 100 ) NOT NULL,
	phone VARCHAR2 ( 50 ) NOT NULL,
	birthday DATE NOT NULL,
	monthlySalary FLOAT,
	hourlyWage FLOAT,
	chiefMechanic NUMBER ( 1 ) NOT NULL,
	addressOID NUMBER ( 5 ) NOT NULL,
	CONSTRAINT PK_Employee10 PRIMARY KEY (OID)
	);
ALTER TABLE Repair2Employee ADD ( CONSTRAINT FK_Repair2Employee20
	FOREIGN KEY (employeeOID) REFERENCES Employee (OID) );
ALTER TABLE Repair2Employee ADD ( CONSTRAINT FK_Repair2Employee19
	FOREIGN KEY (repairOID) REFERENCES Repair (OID) );
ALTER TABLE UsedSparePart ADD ( CONSTRAINT FK_UsedSparePart12
	FOREIGN KEY (repairOID) REFERENCES Repair (OID) );
ALTER TABLE UsedSparePart ADD ( CONSTRAINT FK_UsedSparePart11
	FOREIGN KEY (sparePartOID) REFERENCES SparePart (OID) );
ALTER TABLE Repair ADD ( CONSTRAINT FK_Repair16
	FOREIGN KEY (carOID) REFERENCES Car (OID) );
ALTER TABLE Appointment ADD ( CONSTRAINT FK_Appointment18
	FOREIGN KEY (employeeOID) REFERENCES Employee (OID) );
ALTER TABLE Appointment ADD ( CONSTRAINT FK_Appointment17
	FOREIGN KEY (repairOID) REFERENCES Repair (OID) );
ALTER TABLE Supplier2SparePart ADD ( CONSTRAINT FK_Supplier2SparePart23
	FOREIGN KEY (supplierOID) REFERENCES Supplier (OID) );
ALTER TABLE Supplier2SparePart ADD ( CONSTRAINT FK_Supplier2SparePart24
	FOREIGN KEY (sparePartOID) REFERENCES SparePart (OID) );
ALTER TABLE DeliveryConditions ADD ( CONSTRAINT FK_DeliveryConditions9
	FOREIGN KEY (supplierOID) REFERENCES Supplier (OID) );
ALTER TABLE DeliveryConditions ADD ( CONSTRAINT FK_DeliveryConditions10
	FOREIGN KEY (sparePartOID) REFERENCES SparePart (OID) );
ALTER TABLE Supplier ADD ( CONSTRAINT FK_Supplier3
	FOREIGN KEY (addressOID) REFERENCES Address (OID) );
ALTER TABLE PriceSegment ADD ( CONSTRAINT FK_PriceSegment8
	FOREIGN KEY (deliveryConditionsOID) REFERENCES DeliveryConditions (OID) );
ALTER TABLE Customer ADD ( CONSTRAINT FK_Customer13
	FOREIGN KEY (addressOID) REFERENCES Address (OID) );
ALTER TABLE Car ADD ( CONSTRAINT FK_Car14
	FOREIGN KEY (customerOID) REFERENCES Customer (OID) );
ALTER TABLE Employee ADD ( CONSTRAINT FK_Employee21
	FOREIGN KEY (addressOID) REFERENCES Address (OID) );

